summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-misc/ip-sentinel/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-misc/ip-sentinel/files')
-rw-r--r--net-misc/ip-sentinel/files/ip-sentinel.cfg11
-rw-r--r--net-misc/ip-sentinel/files/ip-sentinel.conf.d11
-rw-r--r--net-misc/ip-sentinel/files/ip-sentinel.init50
3 files changed, 72 insertions, 0 deletions
diff --git a/net-misc/ip-sentinel/files/ip-sentinel.cfg b/net-misc/ip-sentinel/files/ip-sentinel.cfg
new file mode 100644
index 000000000000..f767cd1d0d5f
--- /dev/null
+++ b/net-misc/ip-sentinel/files/ip-sentinel.cfg
@@ -0,0 +1,11 @@
+# This is configuration file for ip-sentinel
+
+# Next line blocks all computers inside network
+0.0.0.0/0
+
+# Now please add computers that are allowed to communicate
+# ! denotes not to block
+!10.10.146.1
+!10.10.146.236@be:ef:de:ad:be:ef
+
+# see "man ip-sentinel" for more details.
diff --git a/net-misc/ip-sentinel/files/ip-sentinel.conf.d b/net-misc/ip-sentinel/files/ip-sentinel.conf.d
new file mode 100644
index 000000000000..d61fc9f5bfc9
--- /dev/null
+++ b/net-misc/ip-sentinel/files/ip-sentinel.conf.d
@@ -0,0 +1,11 @@
+# Configure which interface for ip-sentinel to listen on.
+IFACE="eth0"
+
+# Insert any other options needed
+OPTS=""
+
+# If you wish to run ip-sentinel in a chroot, run:
+# emerge --config =net-misc/<ip-sentinel-version>
+# and un-comment the following line.
+# You can specify a different chroot directory but MAKE SURE it's empty.
+# CHROOT="/chroot/ip-sentinel"
diff --git a/net-misc/ip-sentinel/files/ip-sentinel.init b/net-misc/ip-sentinel/files/ip-sentinel.init
new file mode 100644
index 000000000000..1f293ad64a98
--- /dev/null
+++ b/net-misc/ip-sentinel/files/ip-sentinel.init
@@ -0,0 +1,50 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+CFG_FILE="/etc/ip-sentinel.cfg"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -f "${CFG_FILE}" ] ; then
+ eerror "File ${CFG_FILE} does not exists!"
+ return 1
+ fi
+
+ if [ -n "${CHROOT}" ] ; then
+ local_opts="--user ipsentinel --group ipsentinel -r ${CHROOT}"
+ else
+ local_opts="--user ipsentinel --group ipsentinel -r /"
+ fi
+}
+
+start() {
+ checkconfig || return 1
+
+ ebegin "Starting ip-sentinel..."
+ start-stop-daemon --start --quiet --exec /usr/sbin/ip-sentinel -- --ipfile ${CFG_FILE} ${local_opts} $OPTS $IFACE &
+ eend $? "Failed to start ip-sentinel"
+}
+
+stop() {
+ ebegin "Stoping ip-sentinel..."
+ start-stop-daemon --stop --quiet --pidfile /var/run/ip-sentinel.run
+ eend $? "Failed to stop ip-sentinel"
+}
+
+restart () {
+ svc_stop
+ echo "Please, wait while child process quit..."
+ while `ps aux | grep -v 'init.d' | grep [i]p-sentinel >/dev/null`
+ do
+ echo -n ". "
+ sleep 1
+ done
+ echo "[Done]"
+ svc_start
+}
+